%define name freeciv
%define version 1.12.0
%define prefix %{_prefix}
%define release 5mdk

Name: %{name}
Summary: FREE CIVilization clone
Version: %{version}
Release: %{release}
Icon: %{name}.gif 
Source0: ftp://ftp.freeciv.org/freeciv/stable/%{name}-%{version}.tar.bz2
Source1: %{name}
Source10: %{name}-client.16.png.bz2
Source11: %{name}-client.32.png.bz2
Source12: %{name}-client.48.png.bz2
Source20: %{name}-server.16.png.bz2
Source21: %{name}-server.32.png.bz2
Source22: %{name}-server.48.png.bz2
Patch0: freeciv-fix-having-readline.patch.bz2
Patch1: freeciv-fix-auto-settlers.patch.bz2
License: GPL
Group: Games/Strategy
BuildRequires: XFree86-devel imlib-devel gpm-devel ncurses-devel readline-devel zlib-devel
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.freeciv.org

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%prep

%setup -q
%patch0 -p0
%patch1 -p0

%build
autoconf
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir} localedir=$RPM_BUILD_ROOT%{_datadir}/locale

# install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
# install -m 644 data/Freeciv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Freeciv

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}

# icons
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}-client.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}-client.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}-client.png
bzcat %{SOURCE20} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}-server.png
bzcat %{SOURCE21} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}-server.png
bzcat %{SOURCE22} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}-server.png

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog HOWTOPLAY NEWS README README.AI README.graphics README.rulesets freeciv_hackers_guide.txt
%defattr(-, root, games, 0755)
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
# /usr/X11R6/lib/X11/app-defaults/Freeciv
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.12.0-5mdk
- xpm -> png icons

* Wed Oct 17 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12.0-4mdk
- fix obsolete-tag Copyright
- fix large-icon-not-in-package
- fix normal-icon-not-in-package

* Tue Sep 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12.0-3mdk
- have the locale files in the package!

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12.0-2mdk
- rebuild to fix incoherent version in changelog

* Sat Aug 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.12-1mdk
- new version, goodies include:
  - i18n for de en_GB es fr hu it ja nl no pl pt pt_BR ro ru sv
  - isometric view (use "civclient --tiles trident" if you want old one)
  - preview for goto (showing a line while you move the mouse)
  - readline support for server
  - shared vision between players
  - a lot of other small improvements, and bugfixes

* Wed Jul  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.6-1mdk
- new release (warning, this is considered a beta version)

* Tue Mar  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.4-5mdk
- recompile for 8.0 (for safety)

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.4-4mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.11.4-3mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.4-2mdk
- add readline support
- change auto settlers behaviour :-)
  (a suggestion of Pixel: they first build roads, then they irrigate)

* Fri Jul 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.4-1mdk
- 1.11.4

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.0-4mdk
- rebuild for buggy % clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.0-3mdk
- rebuild with new menu/icons macros

* Tue Jul 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.0-2mdk
- macros

* Mon Jul  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11.0-1mdk
- 1.11.0 (Goodies: Fog of War, max 30 players, etc)
- macroizification

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-5mdk
- fixed directory owns
- added 32x32 icon

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-4mdk
- added icons

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-3mdk
- fixed minor warning in menus

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.0-2mdk
- new groups
- menu entry
- complete rewrite of this piece of sh*t specfile

* Tue Mar 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com>
- 1.10.0 stable release

* Mon Jan 03 2000 Jerome Martin <jerome@mandrakesoft.com>
- Fixing some file permissions

* Thu Dec 30 1999 Jerome Martin <jerome@mandrakesoft.com>
- Fixing some file permissions

* Mon Dec 06 1999 Jerome Martin <jerome@mandrakesoft.com>
- 1.9.0 stable release

* Sat Jul 10 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.8.1 release
- add /usr/share/games/freeciv/trident

* Sun Jun 27 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- Update to CVS snapshot
- Enable building the GTK client

* Thu May 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Corrected file permissions on /usr/share/games/freeciv/*

* Mon May 10 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.8.0

* Tue Apr 20 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-99-Apr-20

* Sat Mar  6 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-99-Mar-06 (better graphics etc.)
- install man pages from debian directory

* Thu Feb  4 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-99-Feb-04 (adds space race support)
- install man pages from debian directory

* Sun Dec 27 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to cvs-98-Dec-26 (1.7.2)

* Sat Dec 19 1998 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Updated to pre-1.7.2 to get easy mode and Xaw3d support
- Use Xaw3d

* Sat Sep 19 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Updated to 1.7.1
- Switched to using configure instead of imake... If it doesn't work,
  Just comment/uncomment the appropriate blocks.
- Changed the install directories to be FHS-1.0 conformant.
- sed'd the civ script so it has the correct path to the data directory.
- Added %attr to the %files so non-root can build.

* Thu Aug 6 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated to 1.7.0
* Sat Jun 20 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Updated to 1.6.3
- Added BuildRoot
